com.ryuuji.api

## Class SearchService

- java.lang.Object
- - com.ryuuji.api.SearchService

    public class SearchService
    extends java.lang.Object

Servicio que basicamente impplementa la clase Search de la ApiDatabase. Cada funcion corresponde a una en la api, esta clase solo funciona como puente entre la api y el servicio.

### Constructor Summary

Constructors
Constructor and Description
`SearchService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`orm.Actividad` `buscarActividad(orm.Asignatura asignatura, java.util.Date fecha, java.lang.String tipo)` Busca una actividad en especifico Llama al metodo `Search.buscarActividad(orm.Asignatura, java.util.Date, java.lang.String)`
`orm.Actividad[]` `buscarActividades()` Busca todas las actividades en el sistema.
`orm.Actividad[]` `buscarActividadesPorAsignatura(orm.Asignatura asignatura)` Busca todas las actividades de una asignatura Llama al metodo `Search.buscarActividades(orm.Asignatura)`
`orm.Actividad[]` `buscarActividadesPorFecha(java.util.Date fecha)` Busca todas las actividades que se realizaran en una fecha Llama al metodo `Search.buscarActividades(java.util.Date)`
`orm.Actividad[]` `buscarActividadesPorTipo(java.lang.String tipo)` Busca todas las actividades de un tipo especifico Llama al metodo `Search.buscarActividades(java.lang.String)`
`orm.Anotacion` `buscarAnotacion(orm.Estudiante estudiante, orm.Profesor profesor, java.lang.String descripcion, boolean positiva)` Busca una anotacion en especifico Llama al metodo `Search.buscarAnotacion(orm.Estudiante, orm.Profesor, java.lang.String, boolean)`
`orm.Anotacion[]` `buscarAnotaciones()` Busca todas las anotaciones del sistema Llama al metodo `Search.buscarAnotaciones()`
`orm.Anotacion[]` `buscarAnotacionesPorEstudiante(orm.Estudiante estudiante)` Busca todas las anotaciones de un estudiante Llama al metodo `Search.buscarAnotaciones(orm.Estudiante)`
`orm.Anotacion[]` `buscarAnotacionesPorProfesor(orm.Profesor profesor)` Busca todas las anotaciones ingresadas por un profesor Llama al metodo `Search.buscarAnotaciones(orm.Profesor)`
`orm.Apoderado` `buscarApoderado(java.lang.String rut)` Busca un apoderado por su rut Llama al metodo `Search.buscarApoderado(java.lang.String)`
`orm.Apoderado[]` `buscarApoderados()` Busca todos los apoderados Llama al metodo `Search.buscarApoderados()`
`orm.Apoderado[]` `buscarApoderadosPorColegio(orm.Colegio colegio)` Busca todos los apoderados de un colegio Llama al metodo `Search.buscarApoderados(orm.Colegio)`
`orm.Asignatura` `buscarAsignatura(java.lang.String nombre, orm.Curso curso)` Busca una asignatura en especifico Llama al metodo `Search.buscarAsignatura(java.lang.String, orm.Curso)`
`orm.Asignatura[]` `buscarAsignaturas()` Busca todas las asignaturas en el sistema Llama al metodo `Search.buscarAsignaturas()`
`orm.Asignatura[]` `buscarAsignaturasPorCurso(orm.Curso curso)` Busca todas las asignaturas de un curso Llama al metodo `Search.buscarAsignaturas(orm.Curso)`
`orm.Asignatura[]` `buscarAsignaturasPorProfesor(orm.Profesor profesor)` Busca todas las asignaturas que realiza un profesor Llama al metodo `Search.buscarAsignaturas(orm.Profesor)`
`orm.Asistencia` `buscarAsistencia(orm.Estudiante estudiante, java.util.Date dia, boolean asistio)` Busca una asistencia especifica.
`orm.Asistencia[]` `buscarAsistencias()` Busca todas las asistencias del sistema Llama al metodo `Search.buscarAsistencias()`
`orm.Asistencia[]` `buscarAsistenciasPorEstudiante(orm.Estudiante estudiante)` Busca las asistencias de un estudiante Llama al metodo `Search.buscarAsistencias(orm.Estudiante)`
`orm.Colegio` `buscarColegio(java.lang.String nombre)` Busca un colegio segun su nombre Llama al metodo `Search.buscarColegio(java.lang.String)`
`orm.Colegio[]` `buscarColegios()` Busca todos los colegios almacenados Llama al metodo `Search.buscarColegios()`
`orm.Curso` `buscarCurso(int nivel, java.lang.String letra)` Busca un curso especifico Llama al metodo `()`
`orm.Curso[]` `buscarCursos()` Busca todos los cursos del sistema Llama al metodo `Search.buscarCursos()`
`orm.Curso[]` `buscarCursosPorColegio(orm.Colegio colegio)` Busca los cursos de un colegio Llama al metodo `Search.buscarCursos(orm.Colegio)`
`orm.Estudiante` `buscarEstudiante(java.lang.String rut)` Busca un estudiante por su rut Llama al metodo `Search.buscarEstudiante(java.lang.String)`
`orm.Estudiante[]` `buscarEstudiantes()` Busca a los todos los estudiantes Llama al metodo `Search.buscarEstudiantes()`
`orm.Estudiante[]` `buscarEstudiantesPorApoderado(orm.Apoderado apoderado)` Busca a los estudiantes de un apoderado Llama al metodo `Search.buscarEstudiantes(orm.Apoderado)`
`orm.Estudiante[]` `buscarEstudiantesPorCurso(orm.Curso curso)` Busca a los estudiantes de un curso Llama al metodo `Search.buscarEstudiantes(orm.Curso)`
`orm.Nota` `buscarNota(orm.Estudiante estudiante, orm.Asignatura asignatura, double valor)` Busca una nota en especifico Llama al metodo `Search.buscarNota(orm.Estudiante, orm.Asignatura, double)`
`orm.Nota[]` `buscarNotas()` Busca todas las notas existentes Llama al metodo `Search.buscarNotas()`
`orm.Nota[]` `buscarNotasPorAsignatura(orm.Asignatura asignatura)` Busca todas las notas de una asignatura Llama al metodo `Search.buscarNotas(orm.Asignatura)`
`orm.Nota[]` `buscarNotasPorEstudiante(orm.Estudiante estudiante)` Busca todas las notas de un estudiante Llama al metodo `Search.buscarNotas(orm.Estudiante)`
`orm.Profesor` `buscarProfesor(java.lang.String rut)` Busca un profesor en especifico por su rut Llama al metodo `Search.buscarProfesor(java.lang.String)`
`orm.Profesor[]` `buscarProfesores()` Busca todos los profesores en el sistema Llama al metodo `Search.buscarProfesores()`
`orm.Profesor[]` `buscarProfesoresPorColegio(orm.Colegio colegio)` Busca todos los profesores de un colegio Llama al metodo `Search.buscarProfesores(orm.Colegio)`
`orm.Profesor[]` `buscarProfesoresPorCurso(orm.Curso curso)` Busca todos los profesores que le hacen clases a un curso Llama al metodo `Search.buscarProfesores(orm.Curso)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SearchService

    public SearchService()

### Method Detail

#### buscarColegio

    public orm.Colegio buscarColegio(java.lang.String nombre)

Busca un colegio segun su nombre Llama al metodo `Search.buscarColegio(java.lang.String)`

Parameters:
  `nombre` -
Returns:

#### buscarColegios

    public orm.Colegio[] buscarColegios()

Busca todos los colegios almacenados Llama al metodo `Search.buscarColegios()`

Returns:

#### buscarCurso

    public orm.Curso buscarCurso(int nivel,
                                 java.lang.String letra)

Busca un curso especifico Llama al metodo `()`

Parameters:
  `nivel` -
  `letra` -
Returns:

#### buscarCursosPorColegio

    public orm.Curso[] buscarCursosPorColegio(orm.Colegio colegio)

Busca los cursos de un colegio Llama al metodo `Search.buscarCursos(orm.Colegio)`

Parameters:
  `colegio` -
Returns:

#### buscarCursos

    public orm.Curso[] buscarCursos()

Busca todos los cursos del sistema Llama al metodo `Search.buscarCursos()`

Returns:

#### buscarApoderado

    public orm.Apoderado buscarApoderado(java.lang.String rut)

Busca un apoderado por su rut Llama al metodo `Search.buscarApoderado(java.lang.String)`

Parameters:
  `rut` -
Returns:

#### buscarApoderadosPorColegio

    public orm.Apoderado[] buscarApoderadosPorColegio(orm.Colegio colegio)

Busca todos los apoderados de un colegio Llama al metodo `Search.buscarApoderados(orm.Colegio)`

Parameters:
  `colegio` -
Returns:

#### buscarApoderados

    public orm.Apoderado[] buscarApoderados()

Busca todos los apoderados Llama al metodo `Search.buscarApoderados()`

Returns:

#### buscarEstudiante

    public orm.Estudiante buscarEstudiante(java.lang.String rut)

Busca un estudiante por su rut Llama al metodo `Search.buscarEstudiante(java.lang.String)`

Parameters:
  `rut` -
Returns:

#### buscarEstudiantesPorCurso

    public orm.Estudiante[] buscarEstudiantesPorCurso(orm.Curso curso)

Busca a los estudiantes de un curso Llama al metodo `Search.buscarEstudiantes(orm.Curso)`

Parameters:
  `curso` -
Returns:

#### buscarEstudiantesPorApoderado

    public orm.Estudiante[] buscarEstudiantesPorApoderado(orm.Apoderado apoderado)

Busca a los estudiantes de un apoderado Llama al metodo `Search.buscarEstudiantes(orm.Apoderado)`

Parameters:
  `apoderado` -
Returns:

#### buscarEstudiantes

    public orm.Estudiante[] buscarEstudiantes()

Busca a los todos los estudiantes Llama al metodo `Search.buscarEstudiantes()`

Returns:

#### buscarAsistencia

    public orm.Asistencia buscarAsistencia(orm.Estudiante estudiante,
                                           java.util.Date dia,
                                           boolean asistio)

Busca una asistencia especifica. Llama al metodo `Search.buscarAsistencia(orm.Estudiante, java.util.Date, boolean)`

Parameters:
  `estudiante` -
  `dia` -
  `asistio` -
Returns:

#### buscarAsistenciasPorEstudiante

    public orm.Asistencia[] buscarAsistenciasPorEstudiante(orm.Estudiante estudiante)

Busca las asistencias de un estudiante Llama al metodo `Search.buscarAsistencias(orm.Estudiante)`

Parameters:
  `estudiante` -
Returns:

#### buscarAsistencias

    public orm.Asistencia[] buscarAsistencias()

Busca todas las asistencias del sistema Llama al metodo `Search.buscarAsistencias()`

Returns:

#### buscarNota

    public orm.Nota buscarNota(orm.Estudiante estudiante,
                               orm.Asignatura asignatura,
                               double valor)

Busca una nota en especifico Llama al metodo `Search.buscarNota(orm.Estudiante, orm.Asignatura, double)`

Parameters:
  `estudiante` -
  `asignatura` -
  `valor` -
Returns:

#### buscarNotasPorEstudiante

    public orm.Nota[] buscarNotasPorEstudiante(orm.Estudiante estudiante)

Busca todas las notas de un estudiante Llama al metodo `Search.buscarNotas(orm.Estudiante)`

Parameters:
  `estudiante` -
Returns:

#### buscarNotasPorAsignatura

    public orm.Nota[] buscarNotasPorAsignatura(orm.Asignatura asignatura)

Busca todas las notas de una asignatura Llama al metodo `Search.buscarNotas(orm.Asignatura)`

Parameters:
  `asignatura` -
Returns:

#### buscarNotas

    public orm.Nota[] buscarNotas()

Busca todas las notas existentes Llama al metodo `Search.buscarNotas()`

Returns:

#### buscarAnotacion

    public orm.Anotacion buscarAnotacion(orm.Estudiante estudiante,
                                         orm.Profesor profesor,
                                         java.lang.String descripcion,
                                         boolean positiva)

Busca una anotacion en especifico Llama al metodo `Search.buscarAnotacion(orm.Estudiante, orm.Profesor, java.lang.String, boolean)`

Parameters:
  `estudiante` -
  `profesor` -
  `descripcion` -
  `positiva` -
Returns:

#### buscarAnotacionesPorEstudiante

    public orm.Anotacion[] buscarAnotacionesPorEstudiante(orm.Estudiante estudiante)

Busca todas las anotaciones de un estudiante Llama al metodo `Search.buscarAnotaciones(orm.Estudiante)`

Parameters:
  `estudiante` -
Returns:

#### buscarAnotacionesPorProfesor

    public orm.Anotacion[] buscarAnotacionesPorProfesor(orm.Profesor profesor)

Busca todas las anotaciones ingresadas por un profesor Llama al metodo `Search.buscarAnotaciones(orm.Profesor)`

Parameters:
  `profesor` -
Returns:

#### buscarAnotaciones

    public orm.Anotacion[] buscarAnotaciones()

Busca todas las anotaciones del sistema Llama al metodo `Search.buscarAnotaciones()`

Returns:

#### buscarProfesor

    public orm.Profesor buscarProfesor(java.lang.String rut)

Busca un profesor en especifico por su rut Llama al metodo `Search.buscarProfesor(java.lang.String)`

Parameters:
  `rut` -
Returns:

#### buscarProfesoresPorCurso

    public orm.Profesor[] buscarProfesoresPorCurso(orm.Curso curso)

Busca todos los profesores que le hacen clases a un curso Llama al metodo `Search.buscarProfesores(orm.Curso)`

Parameters:
  `curso` -
Returns:

#### buscarProfesoresPorColegio

    public orm.Profesor[] buscarProfesoresPorColegio(orm.Colegio colegio)

Busca todos los profesores de un colegio Llama al metodo `Search.buscarProfesores(orm.Colegio)`

Parameters:
  `colegio` -
Returns:

#### buscarProfesores

    public orm.Profesor[] buscarProfesores()

Busca todos los profesores en el sistema Llama al metodo `Search.buscarProfesores()`

Returns:

#### buscarAsignatura

    public orm.Asignatura buscarAsignatura(java.lang.String nombre,
                                           orm.Curso curso)

Busca una asignatura en especifico Llama al metodo `Search.buscarAsignatura(java.lang.String, orm.Curso)`

Parameters:
  `nombre` -
  `curso` -
Returns:

#### buscarAsignaturasPorCurso

    public orm.Asignatura[] buscarAsignaturasPorCurso(orm.Curso curso)

Busca todas las asignaturas de un curso Llama al metodo `Search.buscarAsignaturas(orm.Curso)`

Parameters:
  `curso` -
Returns:

#### buscarAsignaturasPorProfesor

    public orm.Asignatura[] buscarAsignaturasPorProfesor(orm.Profesor profesor)

Busca todas las asignaturas que realiza un profesor Llama al metodo `Search.buscarAsignaturas(orm.Profesor)`

Parameters:
  `profesor` -
Returns:

#### buscarAsignaturas

    public orm.Asignatura[] buscarAsignaturas()

Busca todas las asignaturas en el sistema Llama al metodo `Search.buscarAsignaturas()`

Returns:

#### buscarActividad

    public orm.Actividad buscarActividad(orm.Asignatura asignatura,
                                         java.util.Date fecha,
                                         java.lang.String tipo)

Busca una actividad en especifico Llama al metodo `Search.buscarActividad(orm.Asignatura, java.util.Date, java.lang.String)`

Parameters:
  `asignatura` -
  `fecha` -
  `tipo` -
Returns:

#### buscarActividadesPorAsignatura

    public orm.Actividad[] buscarActividadesPorAsignatura(orm.Asignatura asignatura)

Busca todas las actividades de una asignatura Llama al metodo `Search.buscarActividades(orm.Asignatura)`

Parameters:
  `asignatura` -
Returns:

#### buscarActividadesPorFecha

    public orm.Actividad[] buscarActividadesPorFecha(java.util.Date fecha)

Busca todas las actividades que se realizaran en una fecha Llama al metodo `Search.buscarActividades(java.util.Date)`

Parameters:
  `fecha` -
Returns:

#### buscarActividadesPorTipo

    public orm.Actividad[] buscarActividadesPorTipo(java.lang.String tipo)

Busca todas las actividades de un tipo especifico Llama al metodo `Search.buscarActividades(java.lang.String)`

Parameters:
  `tipo` -
Returns:

#### buscarActividades

    public orm.Actividad[] buscarActividades()

Busca todas las actividades en el sistema. Llama al metodo `Search.buscarActividades()`

Returns: